Hi,
I used
lustre from here
http://pkg-lustre.alioth.debian.org/backports/lustre-2.2.0-squeeze/
and ldiskfsprogs
http://pkg-lustre.alioth.debian.org/backports/ldiskfsprogs-1.42.3/
Also upgraded  e2fsprogs and libs to wheezy version.

I think, i hit some circular dep. during install, but i don't remember now.

It was clean (virtual) machine with fresh squeeze installed.

I'll try your kernel packages

Thanks
Libor



Dne Tuesday 20 November 2012 13:05:56, Thomas Stibor napsal(a):
> Hi Libor,
>
> I built Debian packages with the RH kernel for squeeze
> and wheezy (http://web-docs.gsi.de/~tstibor/lustre-builds/).
> It is crucial to have the correct version of ldiskfsprogs, otherwise
> one is running into problems such as documented at
> http://lists.alioth.debian.org/pipermail/pkg-lustre-maintainers/2012-October
> /000401.html
>
> I downloaded the RPMS version from whamcloud and extracted
> the source. At
> http://web-docs.gsi.de/~tstibor/lustre-builds/ldiskfsprogs/
> a patched version to work with wheezy (db-5.X support) can be found.
> This version is also working on squeeze. I guess you can also use the
> Lustre 2.2 modules provided at
> http://pkg-lustre.alioth.debian.org/backports/lustre-2.2.0-squeeze/
> The problem documented
> http://lists.alioth.debian.org/pipermail/pkg-lustre-maintainers/2012-October
> /000401.html results from an incorrect ldiskfsprogs version which does not
> know how to handle "dirdata".
>
> Cheers
>  Thomas
>
> On Tue, Nov 20, 2012 at 12:36:54PM +0100, Libor Klepáč wrote:
> > Hello list,
> > are there any working packages to get lustre 2.2 for squeeze?
> > I tried packages linked from wiki http://wiki.debian.org/Lustre
> > but no luck there.
> > I followed advices in this email
> > http://lists.alioth.debian.org/pipermail/pkg-lustre-maintainers/2012-Octob
> > er/000401.html but no luck again
> >
> > There is message
> > fsfilt_ldiskfs: Unknown symbol jbd2_log_start_commit
> >
> > I compiled my own kernel patched with lustre-patch,
> > where i enabled CONFIG_JBD2_DEBUG to get this symbol in kernel
> >
> > But with this kernel, i'm unable to build lustre-modules.
> > First, it complained about missing 64-bit quota support.
> > I found out, that lustre-patch forgets to patch include/linux/quota.h with
> > this line #define   QFMT_VFS_V1 4
> >
> > Then it complained that it cannot patch ext4 kernel source.
> > This is where i stopped. I tried to let it patch vanilla kernel,
> > kernel with lustre-patch, kernel with debian-patch
> > Nothing worked.
> >
> > Libor
> >
> >
> >
> > _______________________________________________
> > Pkg-lustre-maintainers mailing list
> > Pkg-lustre-maintainers@lists.alioth.debian.org
> > http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-lustre-maintai
> > ners

Attachment: signature.asc
Description: This is a digitally signed message part.

_______________________________________________
Pkg-lustre-maintainers mailing list
Pkg-lustre-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-lustre-maintainers

Reply via email to